From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Subject: [PATCH 1/2] -k/key requires -c/cert
Date: Wed, 30 Jun 2021 01:42:21 +0000
Message-Id: <20210630014222.91048-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

No point in loading a private key without a public one: TLS needs both
and libtls will fail if the public key is missing.

Make this clear for users, catch it early to avoid ugly errors.
---
 catgirl.1 | 2 ++
 chat.c    | 1 +
 2 files changed, 3 insertions(+)

diff --git a/catgirl.1 b/catgirl.1
index 24934cf..8079445 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -283,6 +283,8 @@ The
 .Ar path
 is searched for in the same manner
 as configuration files.
+Requires
+.Fl c .
 .
 .It Fl l | Cm log
 Log chat events to files in paths
diff --git a/chat.c b/chat.c
index b7562f6..1eac024 100644
--- a/chat.c
+++ b/chat.c
@@ -232,6 +232,7 @@ int main(int argc, char *argv[]) {
 		}
 	}
 	if (!host) errx(EX_USAGE, "host required");
+	if (priv && !cert) errx(EX_USAGE, "-k requires -c");
 
 	if (printCert) {
 		ircConfig(insecure, trust, cert, priv);
-- 
2.32.0


